{% extends 'layout/app.twig' %}

{% block pageContent %}
    <!-- page content -->
    <section id="schedule" class="section-with-bg">
        <div class="container wow fadeInUp">
            <div class="section-header">
                <h2>{{ organisations.name }}</h2>
            </div>

            <h3 class="sub-heading">{{ organisations.description }}</h3>

            <div class="tab-content row justify-content-center">

                <!-- kanalen -->
                <div role="tabpanel" class="col-lg-9 tab-pane fade show active">



                    {%  if organisations.isOwner %}
                        <div class="sub-heading">
                            <a href="/dashboard/organisations/{{ organisations.id }}/edit-organisation">Organisatie bewerken</a>
                        </div>

                        <div class="section-header">
                            <p> Alle kanalen van deze organisatie</p>
                        </div>
                    {% else %}
                        <div class="section-header">
                            <p> Alle kanalen van deze organisatie waar jij toegang tot hebt</p>
                        </div>
                    {% endif %}

                    {%  if organisations.isOwner %}
                        <div class="sub-heading">
                            <a href="/dashboard/organisations/{{ organisations.id }}/create-channel">Nieuw Kanaal</a>
                        </div>
                    {% endif %}


                    {% if channels|length > 0 %}
                        {% for channel in channels %}
                        <div class="row schedule-item">
                            <div class="col-md-3">
                                <ul class="nav nav-tabs" role="tablist">
                                    <li class="nav-item navMs">
                                        <a class="nav-link" href="/dashboard/organisations/{{ organisations.id }}/channels/{{ channel.id }}/messages">Berichten</a>
                                    </li>
                                        {%  if organisations.isOwner %}
                                            <li class="nav-item navMs">
                                                <a class="nav-link" href="/dashboard/organisations/{{ organisations.id }}/channels/{{ channel.id }}/delete-channel">Verwijder kanaal</a>
                                            </li>

                                            <li class="nav-item navMs">
                                                <a class="nav-link" href="/dashboard/organisations/{{ organisations.id }}/channels/{{ channel.id }}/requests">Bekijk verzoeken</a>
                                            </li>
                                        {% else %}
                                            <li class="nav-item navMs">
                                                <a class="nav-link" href="/dashboard/organisations/{{ organisations.id }}/channels/{{ channel.id }}/unsubscribe">Unsubscribe</a>
                                            </li>
                                        {% endif %}
                                </ul>
                            </div>
                            <div class="col-md-9">
                                <h4>{{ channel.name }}</h4>
                                <p>{{ channel.description }}</p>
                            </div>
                        </div>
                        {% endfor %}
                    {% endif %}

                </div>
                <!-- eind knalen -->
            </div>
        </div>

    </section>
    <!-- /page content -->
{% endblock %}